/*
 * Programming in Java, Jacobs University, 2015
 *
 * This file implements a program that converts domain names into IP
 * addresses (and back into host names - and yes, 'canonical host
 * name' is kind of a misnomer). Does Java prefer IPv6 as it should?
 */

import java.net.InetAddress;
import java.net.UnknownHostException;

public class A {
    
    public static void main(String[] args)
	throws UnknownHostException
    {
	for (String arg: args) {
	    InetAddress address = InetAddress.getByName(arg);
	    System.out.println(arg + ": " + address.getHostAddress());

	    InetAddress addresses[] = InetAddress.getAllByName(arg);
	    for (InetAddress addr: addresses) {
		System.out.println("  " + addr.getHostAddress()
		   + " (" + addr.getCanonicalHostName() + ") ");
	    }
	    System.out.println();
	}
    }
}
